@echo off
::
:: Note:  Lines beginning with "::" are inactive.
::
::-@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@-<
::
:: Purpose:
:: ~~~~~~~~
:: This batch program will create a Win9x boot floppy disk for use with the
:: Blaware batch program:  (9xRegRev.bat).
::
::-------------------------------------------------------------------------<
::
:: Requirements:
:: ~~~~~~~~~~~~~
:: * MS-DOS [*] Protected-mode ... (with Win9x ... running)
::          [ ] Real-mode ........ (with Win9x NOT running)
:: * MS-DOS External Command Program(s):
::   -   CHOICE.COM
::   -    DEBUG.EXE
::   -     FIND.EXE
::   -   FORMAT.COM
::   -    LABEL.EXE
::   -      MEM.EXE
::   -     MODE.COM
::   -    PKZIP.EXE (v2.50) (PKWARE)
::                  (MD5:  fb3a1925d98c6235d611a65595542c46  PKZIP.EXE)
::                  ftp://ftp.elf.stuba.sk/pub/pc/pack/pk250dos.exe
::                  http://www.pkware.com/
:: * OTHER:
::   - 9XREGREV.BAT (v1.3) (Blaware)
::                  (MD5:  XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX  9XREGREV.BAT)
::   - DRVWRITE.BAT (v1.3) (Blaware)
::                  (MD5:  4ed5d7e7d4332b3588b08f696dec41cc  DRVWRITE.BAT)
::                  Requires:  FREETEST.COM / PKZIP.EXE (v2.50)
::   -  FLOPPY DISK (writable)
::   - FLOPPY DRIVE (Drive A:)
::
::-------------------------------------------------------------------------<
::
:: Notes:
:: ~~~~~~
:: * This batch program must be run under Windows.
::
:: * This batch program will create a Win9x boot floppy disk that when
::   booted to will automatically run the instance of (9xRegRev.bat) that is
::   installed on the hard drive.
::
:: * A couple things may need to be edited within THIS batch file.
::
::   First, if necessary, change (edit THIS file) the line...
::
::      ----------------------------------------
::      if not exist C:\Bat\9xRegRev.bat goto 0I
::      ----------------------------------------
::
::   ...below if it does not reflect the correct path to the installed
::   (9xRegRev.bat) file on the hard drive.
::
::   Next, it is possible that the PATH line...
::
::      --------------------------------------------------------------------
::      >> A:\AUTOEXEC.BAT echo path=%WINDIR%;%WINDIR%\COMMAND;C:\BAT;C:\DOS
::      --------------------------------------------------------------------
::
::   ...below will need to be adjusted (edit THIS file) to reflect the
::   proper path(s) to (9xRegRev.bat)'s required programs.
::
::   Finally, if (9xRegRev.bat) is normally CALLed with a command other than
::   "CALL 9xRegRev", this must be reflected (edit THIS file) in the...
::
::      -------------------------------------
::      >> A:\AUTOEXEC.BAT echo CALL 9xRegRev
::      -------------------------------------
::
::   ...line below.
::
:: * Within this batch code there is no real verification done to check
::   whether a boot floppy disk's contents was created correctly.  It may be
::   useful to open the (Config.sys) and (Autoexec.bat) files on the floppy
::   disk in a text editor and examine them.  If no editing of THIS
::   (MakeFlop.bat) file has been done, the default contents of the
::   (Config.sys) and (Autoexec.bat) files on the floppy likely would be...
::
::   (CONFIG.SYS):
::      --------------------------------
::      DEVICE=C:\WINDOWS\HIMEM.SYS
::      SHELL=A:\COMMAND.COM /E:32768 /P
::      --------------------------------
::
::   (AUTOEXEC.BAT):
::      -----------------------------------------------------------------
::      @echo off
::      path=C:\WINDOWS;C:\WINDOWS\COMMAND;C:\BAT;C:\DOS
::      set windir=C:\WINDOWS
::      set winbootdir=C:\WINDOWS
::      C:\WINDOWS\SMARTDRV
::      c:
::      cd \
::      CALL 9xRegRev
::      set windir=
::      set winbootdir=
::      a:
::      cd \
::      echo.
::      echo.
::      echo       9X Registry Revert
::      echo       ******************
::      echo.
::      echo.
::      echo       ALERT! ... Please proceed as follows:
::      echo       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
::      echo       1) Press a key to continue.
::      echo       2) The computer begins to reboot....
::      echo       3) Safely remove the floppy disk from the floppy drive
::      echo          (unless the desire is to reload the program).
::      echo.
::      echo.
::      pause
::      restart
::      -----------------------------------------------------------------
::
::-------------------------------------------------------------------------<
::
:: About:                                               (06-13-2009)
:: ~~~~~~
:: MAKEFLOP.BAT for 9XREGREV.BAT (v1.3).
::
::-#######################################################################-<
::
mode con: cols=80 lines=25
ctty nul
for %%A in (MZ9 MZ8) do set %%A=                                                 
for %%B in (MZ7 MZ6 MZ5) do set %%B=                                                                          
for %%C in (MZ4 MZ3) do set %%C=
if not exist C:\Bat\9xRegRev.bat goto 0I
mem /module:vmm32 | find "K)  " > NUL
if errorlevel 1 goto 0J
ver | find "Windows 95" > NUL
if not errorlevel 1 goto 0G
ver | find "Windows 98" > NUL
if not errorlevel 1 goto 0G
goto 0K
:0G
freetest /? | find "Public domain free disk space checker by EA 2004-2005" > NUL
if errorlevel 1 set MZ4=FREETEST.COM
if not .%MZ4%.==.. set MZ3=.              
if not .%MZ4%.==.. goto 0L
echo. | pkzip | find "PKZIP (R)   FAST!   Create/Update Utility   Version 2.50" > NUL
if errorlevel 1 set MZ4=PKZIP.EXE (v2.50)
if not .%MZ4%.==.. set MZ3=.         
if not .%MZ4%.==.. goto 0L
call drvwRite c
if not .%DrvWrite%.==.1. set MZ4=DRVWRITE.BAT (v1.3)
if not .%MZ4%.==.. set MZ3=.       
if not .%MZ4%.==.. goto 0L
:0H
set MZ2=+
set MZ1=Please insert a writable floppy disk into Floppy Drive A.                 
set MZ7=                                                                          
set MZ6=                                                                          
set MZ5=                                                                          
set MZ0=(an appropriate floppy disk has been inserted)     
goto 0Q
:0I
set MZ1=Unable to locate the (9xRegRev.bat) file.  Expected location:             
set MZ7=     C:\Bat\9xRegRev.bat                                                  
goto 0M
:0J
set MZ1=This batch program is running in "REAL-MODE" MS-DOS.  It can only be run  
set MZ7=in "PROTECTED-MODE" MS-DOS (with Windows running).                        
goto 0M
:0K
set MZ1=The operating system, as far as can be determined, is not a version of    
set MZ7=either Windows 95 or Windows 98.  A version of one of these operating     
set MZ5=systems is required.                                                      
goto 0M
:0L
set MZ1=There is a problem with the required program:  %MZ4%%MZ3%
set MZ7=Check that the proper version is installed in one of the system's PATH    
set MZ5=directories.                                                              
:0M
set MZ2=!
set MZ9= : ERROR                                         
set MZ8=                                         
goto 0P
:0N
set MZ2=#
set MZ1=                                                                          
set MZ7=                                                        
set MZ6=                                                     
set MZ5=                                                  
goto 0Q
:0O
set MZ2=@
set MZ9= : STATUS                                        
set MZ8=                                        
set MZ1=The "9x Registry Revert" Boot Floppy Disk was created successfully.       
set MZ7=Either option below will simply exit this program.                        
set MZ6=                                                                          
set MZ5=                                                                      :)  
:0P
set MZ0=                                                   
:0Q
ctty con
cls
echo  Ŀ
echo                                                                           
echo                             
echo                           
echo                             
echo                                                                             
echo                                                                              
echo    BOOT FLOPPY DISK CREATION%MZ9%
echo    %MZ8%
echo                                                                              
echo    %MZ1%
echo                                                                              
echo    %MZ7%
echo    %MZ6%
echo    %MZ5%
echo                                                                              
echo                                                                              
if .%MZ2%.==.#. goto 0R
echo         Options:                                                             
echo                                                                      
echo         [-] ... ABORT!                                                       
echo         [0] ... Continue  %MZ0%
goto 0S
:0R
echo                                                                              
echo                                                                              
echo                                                                              
echo                                                                              
:0S
echo                                                                              
echo  
if .%MZ2%.==.#. goto 0U
for %%D in (! @) do if .%MZ2%.==.%%D. goto 0T
choice /c:0- /n "    Type your choice ... [0] [-]   "
if errorlevel 2 goto 0W
goto 0N
:0T
echo     Type your choice ... [0] [-]
pause > NUL
goto 0W
:0U
ctty nul
call drvwRite A
if .%drvwRite%.==.1. goto 0V
goto 0H
:0V
pkzip A:\~T#E@S!T.ZIP NUL > NUL
if errorlevel 1 goto 0H
del A:\~T#E@S!T.ZIP
format A: /autotest /s > NUL
if errorlevel 1 goto 0H
label A:9XREGREV_FD
set MY9=
if not exist %WINDIR%\HIMEM.SYS set MY9=;
>  A:\CONFIG.SYS echo %MY9%DEVICE=%WINDIR%\HIMEM.SYS
>> A:\CONFIG.SYS echo SHELL=A:\COMMAND.COM /E:32768 /P
set MY9=
if not exist %WINDIR%\SMARTDRV.EXE set MY9=::
>  A:\AUTOEXEC.BAT echo @echo off
>> A:\AUTOEXEC.BAT echo path=%WINDIR%;%WINDIR%\COMMAND;C:\BAT;C:\DOS
>> A:\AUTOEXEC.BAT echo set windir=%WINDIR%
>> A:\AUTOEXEC.BAT echo set winbootdir=%WINBOOTDIR%
>> A:\AUTOEXEC.BAT echo %MY9%%WINDIR%\SMARTDRV
>> A:\AUTOEXEC.BAT echo c:
>> A:\AUTOEXEC.BAT echo cd \
>> A:\AUTOEXEC.BAT echo CALL 9xRegRev
>> A:\AUTOEXEC.BAT echo set windir=
>> A:\AUTOEXEC.BAT echo set winbootdir=
>> A:\AUTOEXEC.BAT echo a:
>> A:\AUTOEXEC.BAT echo cd \
>> A:\AUTOEXEC.BAT echo echo.
>> A:\AUTOEXEC.BAT echo echo.
>> A:\AUTOEXEC.BAT echo echo       9X Registry Revert
>> A:\AUTOEXEC.BAT echo echo       ******************
>> A:\AUTOEXEC.BAT echo echo.
>> A:\AUTOEXEC.BAT echo echo.
>> A:\AUTOEXEC.BAT echo echo       ALERT! ... Please proceed as follows:
>> A:\AUTOEXEC.BAT echo echo       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>> A:\AUTOEXEC.BAT echo echo       1) Press a key to continue.
>> A:\AUTOEXEC.BAT echo echo       2) The computer begins to reboot....
>> A:\AUTOEXEC.BAT echo echo       3) Safely remove the floppy disk from the floppy drive
>> A:\AUTOEXEC.BAT echo echo          (unless the desire is to reload the program).
>> A:\AUTOEXEC.BAT echo echo.
>> A:\AUTOEXEC.BAT echo echo.
>> A:\AUTOEXEC.BAT echo pause
>> A:\AUTOEXEC.BAT echo restart
>  A:\RESTART.DBG echo e 100 B8 40 00 50 1F C7 06 72 00 34 12 B8 FF FF 50 B8 00 00 50 CB
>> A:\RESTART.DBG echo n A:\RESTART.COM
>> A:\RESTART.DBG for %%E in (rcx 14 w q) do echo %%E
debug < A:\RESTART.DBG > NUL
del A:\RESTART.DBG
goto 0O
:0W
for %%F in (MZ9 MZ8 MZ7 MZ6 MZ5 MZ4 MZ3 MZ2 MZ1 MZ0 MY9 DrvWrite) do set %%F=
cls
:END